#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 integer-conversion
version:              0.1.0.1
visibility:           public
id:                   integer-conversion-0.1.0.1-AbZ0JbE0wVpCCxhfuQcy0F
key:                  integer-conversion-0.1.0.1-AbZ0JbE0wVpCCxhfuQcy0F
license:              BSD-3-Clause
copyright:            (c) 2023 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/integer-conversion
synopsis:             Conversion from strings to Integer
description:
    The naive @foldl'\'' (\acc d -> acc * 10 + d) 0@ is expensive (quadratic!) for large @Integer@s.
    This package provides sub-quadratic implementation.

category:             Data
abi:                  4a395c7169c7fec1c3634e7b6a91ffbf
exposed:              True
exposed-modules:      Data.Integer.Conversion
import-dirs:          /usr/lib/ghc-9.8.2/site-local/integer-conversion-0.1.0.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/integer-conversion-0.1.0.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/integer-conversion-0.1.0.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:
    /usr/share/x86_64-linux-ghc-9.8.2/integer-conversion-0.1.0.1

hs-libraries:         HSinteger-conversion-0.1.0.1-AbZ0JbE0wVpCCxhfuQcy0F
depends:
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    primitive-0.9.0.0-3Z6MZnSLD38BpiHT3vTCWH text-2.1.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/integer-conversion-0.1.0.1/html/integer-conversion.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/integer-conversion-0.1.0.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

